Checks if a particular field exists

- « SolrDocument::next

- SolrDocument::offsetGet »

- PHP Manual
- SolrDocument
- Checks if a particular field exists

# SolrDocument::offsetExists

(PECL solr >= 0.9.2)

SolrDocument::offsetExists — Checks if a particular field exists

### Description

public SolrDocument::offsetExists(string `$fieldName`): bool

Checks if a particular field exists. This is used when the object is treated as an array.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns `true` on success or `false` on failure.